API Reference
Computespacecalendar Segment
Compute a calendar view of space availability over time for a set of segments with prospective start and end dates. This allows planning segment allocation by showing how much space will be available on each date in the requested range.
POST
/
v1
/
segments:computeSegmentSpaceCalendar
Computespacecalendar Segment
curl --request POST \
--url https://flags.eu.confidence.dev/v1/segments:computeSegmentSpaceCalendar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": {
"year": {},
"month": {},
"day": {}
},
"endDate": {
"year": {},
"month": {},
"day": {}
},
"segments": [
{
"segment": "<string>",
"startDate": {
"year": {},
"month": {},
"day": {}
},
"endDate": {
"year": {},
"month": {},
"day": {}
}
}
]
}
'import requests
url = "https://flags.eu.confidence.dev/v1/segments:computeSegmentSpaceCalendar"
payload = {
"startDate": {
"year": {},
"month": {},
"day": {}
},
"endDate": {
"year": {},
"month": {},
"day": {}
},
"segments": [
{
"segment": "<string>",
"startDate": {
"year": {},
"month": {},
"day": {}
},
"endDate": {
"year": {},
"month": {},
"day": {}
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: {year: {}, month: {}, day: {}},
endDate: {year: {}, month: {}, day: {}},
segments: [
{
segment: '<string>',
startDate: {year: {}, month: {}, day: {}},
endDate: {year: {}, month: {}, day: {}}
}
]
})
};
fetch('https://flags.eu.confidence.dev/v1/segments:computeSegmentSpaceCalendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dailyAvailability": [
{
"date": {
"year": {},
"month": {},
"day": {}
},
"availableSpace": {
"value": "<string>"
},
"reclaimableSpace": [
{}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
OK
The space availability for each date in the requested range.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Computespacecalendar Segment

